searchNodes=[{"doc":"Provides functionality to connect to a RCON server.","ref":"RCON.Client.html","title":"RCON.Client","type":"module"},{"doc":"Authenticate a connection given a password.Examples# Successful auth {:ok, conn, true} = RCON.Client.authenticate(conn, &quot;correct-password&quot;) # Failed auth {:ok, conn, false} = RCON.Client.authenticate(conn, &quot;bad-password&quot;)","ref":"RCON.Client.html#authenticate/2","title":"RCON.Client.authenticate/2","type":"function"},{"doc":"Connects to an RCON server.Single/multi packet response supportWhen sending a command with multi packet response support enabled (default), the original command is sent followed by a second dummy request. When the response to the second request is received, we know the first request has finished sending its entire response. This is how multi-packet responses work.Games such as Minecraft and Factorio don't support multi-packet responses well or at all. To support them configure the connection as multi: false and only a single RCON request will be sent and the first response packet received will be returned.","ref":"RCON.Client.html#connect/3","title":"RCON.Client.connect/3","type":"function"},{"doc":"Execute a command.Examples# Send a command given a RCON connection {:ok, conn, &quot;command response...&quot;} = RCON.Client.exec(conn, &quot;command...&quot;)","ref":"RCON.Client.html#exec/2","title":"RCON.Client.exec/2","type":"function"},{"doc":"Receive a RCON packet.","ref":"RCON.Client.html#recv/1","title":"RCON.Client.recv/1","type":"function"},{"doc":"Send a RCON packet.","ref":"RCON.Client.html#send/3","title":"RCON.Client.send/3","type":"function"},{"doc":"","ref":"RCON.Client.html#t:connection/0","title":"RCON.Client.connection/0","type":"type"},{"doc":"","ref":"RCON.Client.html#t:options/0","title":"RCON.Client.options/0","type":"type"},{"doc":"Module for handling RCON packets.","ref":"RCON.Packet.html","title":"RCON.Packet","type":"module"},{"doc":"Returns the packet ID used for auth failure.","ref":"RCON.Packet.html#auth_failed_id/0","title":"RCON.Packet.auth_failed_id/0","type":"function"},{"doc":"Returns the body for a packet.","ref":"RCON.Packet.html#body/1","title":"RCON.Packet.body/1","type":"function"},{"doc":"Returns the body length in bytes for a packet.Does not include the null character.","ref":"RCON.Packet.html#body_len/1","title":"RCON.Packet.body_len/1","type":"function"},{"doc":"Creates a packet.","ref":"RCON.Packet.html#create/4","title":"RCON.Packet.create/4","type":"function"},{"doc":"Creates and encodes a packet in one step.","ref":"RCON.Packet.html#create_and_encode/4","title":"RCON.Packet.create_and_encode/4","type":"function"},{"doc":"Decodes a packet payload from transmission.","ref":"RCON.Packet.html#decode_payload/3","title":"RCON.Packet.decode_payload/3","type":"function"},{"doc":"Decodes a packet size.","ref":"RCON.Packet.html#decode_size/1","title":"RCON.Packet.decode_size/1","type":"function"},{"doc":"Encodes a packet to a binary for transmission.","ref":"RCON.Packet.html#encode/1","title":"RCON.Packet.encode/1","type":"function"},{"doc":"Returns from what side the packet was sent from.","ref":"RCON.Packet.html#from/1","title":"RCON.Packet.from/1","type":"function"},{"doc":"Returns the ID for a packet.","ref":"RCON.Packet.html#id/1","title":"RCON.Packet.id/1","type":"function"},{"doc":"Returns the length in bytes of the packet id part.","ref":"RCON.Packet.html#id_part_len/0","title":"RCON.Packet.id_part_len/0","type":"function"},{"doc":"Returns the initial packet ID value.","ref":"RCON.Packet.html#initial_id/0","title":"RCON.Packet.initial_id/0","type":"function"},{"doc":"Returns the kind for a packet.","ref":"RCON.Packet.html#kind/1","title":"RCON.Packet.kind/1","type":"function"},{"doc":"Returns the packet kind for a code.","ref":"RCON.Packet.html#kind_from_code/2","title":"RCON.Packet.kind_from_code/2","type":"function"},{"doc":"Returns the length in bytes of the packet kind part.","ref":"RCON.Packet.html#kind_part_len/0","title":"RCON.Packet.kind_part_len/0","type":"function"},{"doc":"Returns the code for a packet kind.","ref":"RCON.Packet.html#kind_to_code/2","title":"RCON.Packet.kind_to_code/2","type":"function"},{"doc":"Returns the maximum size a body may have.Minecraft only supports a request payload length of max 1446 byte. However some tests showed that only requests with a payload length of 1413 byte or lower work reliably.","ref":"RCON.Packet.html#max_body_len/0","title":"RCON.Packet.max_body_len/0","type":"function"},{"doc":"Returns the max possible value a packet ID may have.Value from signed int32 max (2^31 - 1).","ref":"RCON.Packet.html#max_id/0","title":"RCON.Packet.max_id/0","type":"function"},{"doc":"The smallest value packet size may be.","ref":"RCON.Packet.html#min_size/0","title":"RCON.Packet.min_size/0","type":"function"},{"doc":"Returns the length in bytes of the packet size part.","ref":"RCON.Packet.html#size_part_len/0","title":"RCON.Packet.size_part_len/0","type":"function"},{"doc":"","ref":"RCON.Packet.html#t:body/0","title":"RCON.Packet.body/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:from/0","title":"RCON.Packet.from/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:id/0","title":"RCON.Packet.id/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:kind/0","title":"RCON.Packet.kind/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:kind_code/0","title":"RCON.Packet.kind_code/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:raw/0","title":"RCON.Packet.raw/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:size/0","title":"RCON.Packet.size/0","type":"type"},{"doc":"","ref":"RCON.Packet.html#t:t/0","title":"RCON.Packet.t/0","type":"type"},{"doc":"RCONImplementation of the Source RCON Protocol.Documentation hosted on hexdocs.","ref":"readme.html","title":"RCON","type":"extras"},{"doc":"Add rcon to your list of dependencies in mix.exs: def deps do [{:rcon, &quot;~&gt; 0.4.0&quot;}] end","ref":"readme.html#installation","title":"RCON - Installation","type":"extras"},{"doc":"Source compatible (should work with CS:GO, Minecraft, etc)Supports multi-packet responsesHandles messages with ID counterShouldn't blow up in your face","ref":"readme.html#features","title":"RCON - Features","type":"extras"},{"doc":"{:ok, conn} = RCON.Client.connect(&quot;127.0.0.1&quot;, 27084) {:ok, conn, true} = RCON.Client.authenticate(conn, &quot;password&quot;) {:ok, _conn, result} = RCON.Client.exec(conn, &quot;status&quot;) IO.inspect result","ref":"readme.html#usage","title":"RCON - Usage","type":"extras"}]